Skip to content

Retrieve a request

Request

Beta
OAuth 2.0 scope:
  • okta.governance.accessRequests.read
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Retrieves the full representation of a specific request

More information is returned than the abbreviated representation in a List all requests operation.

Path
requestIdstring, (request-id), = 24 characters(request-id)^[a-fA-F\d]{24}$required

Unique identifier for the request

GET
/governance/api/v1/requests/{requestId}
curl -i -X GET \
  'https://subdomain.okta.com/governance/api/v1/requests/{requestId}'

Responses

A successful get request response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, non-emptyrequired

Unique identifier for the object

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

requestTypeIdstring, (request-type-id), = 24 characters(request-request-type-id)(?=^[a-fA-F\d]{24}$)(?=^[a-fA-F\d]{24}$)required

The request type id.

Example:"05ab2db568c7c300079fefd0"
subjectstring, [ 1 .. 250 ] characters(request-subject)required

The subject of the request

Example:"Can I have access to Salesforce?"
requesterUserIdsArray of strings, = 1 items(requester-user-ids)required

A list of requester Okta user ids.

Example:
[ "00ub0oNGTSWTBKOLGLNR" ]
requestStatusstring(request-request-status)required

A request has a lifecycle. See our request lifecycle documentation.

A request progresses in its lifecycle state based on requester, approver, and administrator activities across a variety of channels, such as:

  • Access Request portal
  • Slack
  • Microsoft teams

The following lifecycle operations are available on a single request.

Enum:"OPEN""PENDING""RESOLVED""LOCKED"
resolvedstring or null, (date-time)(request-resolved-date-time)required

The date the request was resolved. The property may transition from having a value to null if the request is reopened.

requesterFieldValuesArray of any or null(requester-field-values)required

Field values provided when adding the request.

If a request type has required requesterFields, they must be provided when the request is created.

Non-required fields may be omitted when creating the request.

approvalsArray of objects(request-approval)required

Request approvals

actionsArray of objects or null, = 1 items(request-actions)required

A list of actions. Currently only supports one action per request.

permalinkIdinteger(request-permalink-id)required

The immutable, persistent identifier that always resolves to the request

typestringrequired

This request is associated with a request type with no CUSTOM settings.

Value:"ACCESS_REQUEST"
Discriminator
Response
Success response to get a Request
{ "id": "61eb06a3c462d20007f0235c", "subject": "request-from-service-now-xsd23432", "requestTypeId": "61eb2db568c7c300079fefd0", "created": "2022-05-05T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2022-05-05T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "permalinkId": 1, "resolved": "2022-05-05T14:15:22Z", "requestStatus": "RESOLVED", "requesterUserIds": [ "00ub0oNGTSWTBKOLGLNR" ], "requesterFieldValues": [ {} ], "approvals": [ {} ], "actions": [ {} ], "type": "ACCESS_REQUEST", "_links": { "requestType": {}, "self": {} } }